#============================================================
# GnuPlot script : STD2.GNU 
#============================================================
# Parameter 0 : input data file #1
# Parameter 1 : input data file #2
# Parameter 2 : graph title
# Parameter 3 : min X:max x
# Parameter 4 : min y:max y
# Parameter 5 : size x, size y
# Parameter 6 : label #1
# Parameter 7 : label #2
# Parameter 8 : ouput file (PNG format)
#============================================================

# --------------------------------------
# Setting
# --------------------------------------
set xlabel "Wavelength (A)"
set ylabel "Relative intensity"
set xrange [$3]
set yrange [$4] 
set tmargin 2
set title '$2' offset 0,-0.5
set terminal push

# ------------------------------------
# Plot on the computer screen 
# ------------------------------------
set terminal windows "Arial" 9
plot "$0" title "$6" with lines lc rgb 'blue'
replot "$1" title "$7" with lines lc rgb 'red'

# ------------------------------------
# Plot on a PNG file
# ------------------------------------
set terminal png small size $5
set output '$8'
replot

# ------------------------------------
# Finalize
# ------------------------------------
set output
set terminal pop
reset
