#============================================================
# GnuPlot script  : STD2Y.GNU
#============================================================
# Parameter 0 : input data file
# Parameter 1 : graph title
# Parameter 2 : min X:max X
# Parameter 3 : min y1:max y1
# Parameter 4 : min Y2:max y2 
# Parameter 5 : Size X, Size y 
# Parameter 6 : output file (PNG format)
#============================================================

# -----------------------------------------
# Setting
# -----------------------------------------
set xlabel "Wavelength (A)"
set ylabel "Relative intensity"
set tmargin 2
set title '$1' offset 0,-0.5
set xrange [$2]
set yrange [$3]
set y2range [$4]
set y2tics border
set ytics nomirror
set terminal push

# ----------------------------------------
# Plot on the computer screen
# ----------------------------------------
set terminal windows "Arial" 9
plot "$0" notitle with lines lc rgb 'black'
replot "$0" axes x1y2 notitle with lines lc rgb 'gray70'

# ----------------------------------------
# Plot on a PNG file
# ----------------------------------------
set terminal png small size $5
set output '$6'
replot

# ----------------------------------------
# Finalize
# ----------------------------------------
set output
set terminal pop
reset

